> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /cerlive/tokens/search

> Search the CER.live catalog of rated crypto coins and tokens

**Price:** 5 credits per 100 results



## OpenAPI

````yaml /openapi/crypto-defi.json post /api/cerlive/tokens/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/cerlive/tokens/search:
    post:
      tags:
        - /cerlive
      summary: /cerlive/tokens/search
      description: |-
        Search the CER.live catalog of rated crypto coins and tokens

        **Price:** 5 credits per 100 results
      operationId: __api_cerlive_tokens_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CerliveTokensSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CerliveTokenListItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CerliveTokensSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        count:
          type: integer
          minimum: 1
      type: object
      required:
        - count
    CerliveTokenListItem:
      properties:
        '@type':
          type: string
          default: CerliveTokenListItem
        id:
          type: integer
        alias:
          anyOf:
            - type: string
            - type: 'null'
        name:
          type: string
        category:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        rating:
          anyOf:
            - type: number
            - type: 'null'
        rank:
          anyOf:
            - type: integer
            - type: 'null'
        market_cap:
          anyOf:
            - type: number
            - type: 'null'
        audit_coverage:
          anyOf:
            - type: integer
            - type: 'null'
        details_level:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        price_change:
          anyOf:
            - type: number
            - type: 'null'
        market_cap_change:
          anyOf:
            - type: number
            - type: 'null'
        trading_volume:
          anyOf:
            - type: number
            - type: 'null'
        total_supply:
          anyOf:
            - type: number
            - type: 'null'
        circulation_supply:
          anyOf:
            - type: number
            - type: 'null'
        token_audit_count:
          type: integer
          default: 0
        platform_audit_count:
          type: integer
          default: 0
        bug_bounty_count:
          type: integer
          default: 0
        insurance_count:
          type: integer
          default: 0
        social_reference_count:
          type: integer
          default: 0
        is_token_audit_relevant:
          type: boolean
          default: false
        is_platform_audited:
          type: boolean
          default: false
        has_ongoing_bug_bounty:
          type: boolean
          default: false
        has_insurance:
          type: boolean
          default: false
        has_incidents:
          type: boolean
          default: false
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
        updated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
        - name
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````